## com.google.javascript.jscomp
Interface Region

All Known Implementing Classes:
  SimpleRegion

    public interface Region

Source code region.

Method Summary
`int` | `getBeginningLineNumber()` Get the beginning line number.
`int` | `getEndingLineNumber()` Get the ending line number.
`String` | `getSourceExcerpt()` Get the source region.

Method Detail

### getSourceExcerpt

    String getSourceExcerpt()

  Get the source region.

### getBeginningLineNumber

    int getBeginningLineNumber()

  Get the beginning line number.

### getEndingLineNumber

    int getEndingLineNumber()

  Get the ending line number.